> ## Documentation Index
> Fetch the complete documentation index at: https://flashrdp.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Servers

> Retrieves a paginated list of all servers associated with the account.



## OpenAPI

````yaml /api/control-panel/server.json get /server
openapi: 3.0.1
info:
  title: API Documentation
  description: >-
    ## Overview


    This API allows you to manage your account and servers programmatically.
    Account management features are available to all authenticated users, while
    server management operations are restricted to server owners. Only users who
    own a server can perform actions such as creating, or managing through the
    API.


    ### Authentication


    The API uses **Bearer Token authorization** for all authenticated requests.


    To access protected endpoints, include your API token in the `Authorization`
    header of each request:


    ```

    Authorization: Bearer <your_api_token>

    ```


    If the token is missing, invalid, or expired, the API will respond with:

    ```

    HTTP 401 Unauthorized

    ```


    Tokens are issued through your account and must be kept secure.


    ### Data Format


    The API uses **JSON** for all requests and responses. All requests should be
    sent with the following headers:


    ```

    Content-Type: application/json

    Accept: application/json

    ```


    ### Rate Limiting


    The API is rate limited to prevent excessive requests and ensure fair usage.
    Limits may be increased on request. Each response includes rate limit
    headers that indicate your current usage:

    | Header | Description |

    | ------- | ------------ |

    | **X-RateLimit-Limit** | The total number of requests allowed per minute. |

    | **X-RateLimit-Remaining** | The number of requests remaining in the
    current time window. |

    | **X-RateLimit-Reset** | The time when the limit will be reset. |


    When the limit is reached, the API will respond with the following status
    until the limit resets:


    ```

    HTTP 429 Too Many Requests

    ```


    ### Service Availability


    If the API is temporarily unavailable or undergoing maintenance, it will
    return the following status:


    ```

    HTTP 503 Service Unavailable

    ```


    This status indicates a temporary outage and the request should be retried
    later once the service is restored.
  version: 1.0.0
servers:
  - url: https://servers.flashrdp.com/api
security: []
tags:
  - name: Server
paths:
  /server:
    get:
      tags:
        - Server
      summary: Servers
      description: Retrieves a paginated list of all servers associated with the account.
      parameters:
        - name: results
          in: query
          description: The number of results to be returned.
          required: false
          example: 20
          schema:
            type: integer
            minimum: 1
            maximum: 200
            default: 20
        - name: Accept
          in: header
          description: ''
          required: true
          example: application/json
          schema:
            type: string
            enum:
              - application/json
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  current_page:
                    type: integer
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        hostname:
                          type: string
                        suspended:
                          type: boolean
                        protected:
                          type: boolean
                        migrating:
                          type: boolean
                        deleting:
                          type: boolean
                        backupCreating:
                          type: boolean
                        rescue:
                          type: boolean
                        vncEnabled:
                          type: boolean
                        isoMounted:
                          type: boolean
                        uefi:
                          type: boolean
                        bootOrder:
                          type: array
                          items:
                            type: string
                        memory:
                          type: string
                        cpu:
                          type: string
                        storage:
                          type: array
                          items:
                            type: object
                            properties:
                              capacity:
                                type: string
                              enabled:
                                type: boolean
                              primary:
                                type: boolean
                              created:
                                type: string
                        network:
                          type: object
                          properties:
                            primary:
                              type: object
                              properties:
                                mac:
                                  type: string
                                limit:
                                  type: string
                                  nullable: true
                                ipv4:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      address:
                                        type: string
                                      gateway:
                                        type: string
                                      netmask:
                                        type: string
                                ipv6:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      subnet:
                                        type: string
                                      gateway:
                                        type: string
                                      addresses:
                                        type: array
                                        items:
                                          type: string
                            secondary:
                              type: object
                              properties:
                                mac:
                                  type: string
                                limit:
                                  type: string
                                  nullable: true
                                ipv4:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      address:
                                        type: string
                                      gateway:
                                        type: string
                                      netmask:
                                        type: string
                                ipv6:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      subnet:
                                        type: string
                                      gateway:
                                        type: string
                                      addresses:
                                        type: array
                                        items:
                                          type: string
                              required:
                                - mac
                                - limit
                                - ipv4
                                - ipv6
                        currentMonthlyPeriod:
                          type: object
                          properties:
                            start:
                              type: string
                            end:
                              type: string
                          required:
                            - start
                            - end
                        created:
                          type: string
                  first_page_url:
                    type: string
                  from:
                    type: integer
                  last_page:
                    type: integer
                  last_page_url:
                    type: string
                  links:
                    type: array
                    items:
                      type: object
                      properties:
                        url:
                          type: string
                          nullable: true
                        label:
                          type: string
                        active:
                          type: boolean
                  next_page_url:
                    type: string
                  path:
                    type: string
                  per_page:
                    type: integer
                  prev_page_url:
                    type: string
                    nullable: true
                  to:
                    type: integer
                  total:
                    type: integer
              example:
                current_page: 1
                data:
                  - id: 6b32bae9-83e9-44f9-afd4-244f1fa27a49
                    name: Test VM
                    hostname: null
                    suspended: false
                    protected: false
                    migrating: false
                    deleting: false
                    backupCreating: false
                    rescue: false
                    vncEnabled: false
                    isoMounted: false
                    uefi: false
                    bootOrder:
                      - hd
                      - cdrom
                    memory: 1024 MB
                    cpu: 2 Core
                    storage:
                      - capacity: 10 GB
                        enabled: true
                        primary: true
                        created: '2025-08-17T11:06:30+00:00'
                    network:
                      primary:
                        mac: 00:FA:D9:01:AC:45
                        limit: null
                        ipv4:
                          - address: 10.5.5.6
                            gateway: 10.5.5.1
                            netmask: 255.255.255.0
                        ipv6:
                          - subnet: 2604:f440:4:5:4::/80
                            gateway: 2604:f440:4:5::1
                            addresses:
                              - 2604:f440:4:5:4::a
                      secondary:
                        mac: 00:E8:8B:7B:45:85
                        limit: null
                        ipv4:
                          - address: 10.40.40.2
                            gateway: 10.40.40.1
                            netmask: 255.255.255.0
                        ipv6:
                          - subnet: 2604:f440:4:5:5::/80
                            gateway: 2604:f440:4:5::1
                            addresses:
                              - 2604:f440:4:5:5::a
                    currentMonthlyPeriod:
                      start: '2025-10-17T00:00:00.000000Z'
                      end: '2025-11-16T23:59:59.999999Z'
                    created: '2025-08-17T11:06:30+00:00'
                  - id: c23c0144-dd3a-4193-aaeb-bea5ad5e4ac0
                    name: TEST VM
                    hostname: null
                    suspended: false
                    protected: false
                    migrating: false
                    deleting: false
                    backupCreating: false
                    rescue: false
                    vncEnabled: false
                    isoMounted: false
                    uefi: false
                    bootOrder:
                      - hd
                      - cdrom
                    memory: 4096 MB
                    cpu: 4 Core
                    storage:
                      - capacity: 40 GB
                        enabled: true
                        primary: true
                        created: '2025-08-04T18:32:07+00:00'
                    network:
                      primary:
                        mac: 00:AF:3C:C1:75:B1
                        limit: 20000 GB
                        ipv4:
                          - address: 192.168.4.75
                            gateway: 192.168.4.1
                            netmask: 255.255.254.0
                        ipv6: []
                      secondary: []
                    currentMonthlyPeriod:
                      start: '2025-10-04T00:00:00.000000Z'
                      end: '2025-11-03T23:59:59.999999Z'
                    created: '2025-08-04T18:32:07+00:00'
                first_page_url: /api/server?results=20&page=1
                from: 1
                last_page: 2
                last_page_url: /api/server?results=20&page=2
                links:
                  - url: null
                    label: '&laquo; Previous'
                    active: false
                  - url: /api/server?results=20&page=1
                    label: '1'
                    active: true
                  - url: /api/server?results=20&page=2
                    label: '2'
                    active: false
                  - url: /api/server?results=20&page=2
                    label: Next &raquo;
                    active: false
                next_page_url: /api/server?results=20&page=2
                path: /api/server
                per_page: 20
                prev_page_url: null
                to: 20
                total: 29
          headers: {}
        '401':
          $ref: '#/components/responses/Unauthorized'
          description: ''
        '429':
          $ref: '#/components/responses/TooManyRequests'
          description: ''
      deprecated: false
      security:
        - bearer: []
components:
  responses:
    Unauthorized:
      description: ''
      content: {}
    TooManyRequests:
      description: ''
      content: {}
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````